package com.bootdo.datas.dao;

import com.bootdo.datas.domain.GbDataExcelDO;
import com.bootdo.datas.domain.GyDataDO;
import com.bootdo.datas.domain.GyDataExcelDO;
import com.bootdo.datas.dto.GyDataImportDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface GyDataDao {


    List<GyDataImportDTO> list(Map<String, Object> map);

    int countTotal(Map<String, Object> map);

    int countTotal4Del(Map<String, Object> map);

    List<GyDataImportDTO> listId(Map<String, Object> map);

    int save(GyDataDO data);

    void batchSave(List<GyDataDO> list);

    GyDataImportDTO get(Long id);

    GyDataExcelDO getDataExcel(Long id);

    GbDataExcelDO getGbDataExcel(Long id);

    void batchRemove(Long[] ids);

    int updateStatus(GyDataImportDTO data);

    List<GyDataImportDTO> listRecover(Map<String, Object> map);

    int countRecover(Map<String, Object> map);

    int recover(Long id,String auditStage);

    void remove(Long id);

    int batchPhysicalDeletion(Long[] ids);

    GyDataImportDTO getRecoverData(Long id);

    int countAaAssData(Long id);
}
